Własny serwer supla - od czego zacząć

home
Posty: 23
Rejestracja: pn gru 28, 2020 12:36 pm

śr sty 06, 2021 10:30 am

ok, spróbuję ale mogę Kolegę prosić jeszcze raz o ten link, jak Kolega zauważył nie poruszam się jeszcze sprawnie po forum, dzięki serdeczne .
home
Posty: 23
Rejestracja: pn gru 28, 2020 12:36 pm

śr sty 06, 2021 11:53 am

po komendzie:
curl -sSL https://get.docker.com | sh

wynik:
serwer@linux:~$ sudo curl -sSL https://get.docker.com | sh
# Executing docker install script, commit: 3d8fe77c2c46c5b7571f94b42793905e5b3e42e4
+ sudo -E sh -c apt-get update -qq >/dev/null
+ sudo -E sh -c DEBIAN_FRONTEND=noninteractive apt-get install -y -qq apt-transport-https ca-certificates curl >/dev/null
+ sudo -E sh -c curl -fsSL "https://download.docker.com/linux/debian/gpg" | apt-key add -qq - >/dev/null
Warning: apt-key output should not be parsed (stdout is not a terminal)
+ sudo -E sh -c echo "deb [arch=i386] https://download.docker.com/linux/debian buster stable" > /etc/apt/sources.list.d/docker.list
+ sudo -E sh -c apt-get update -qq >/dev/null
+ [ -n ]
+ sudo -E sh -c apt-get install -y -qq --no-install-recommends docker-ce >/dev/null
E: Pakiet docker-ce nie ma kandydata do instalacji

co z tym zrobić ?
home
Posty: 23
Rejestracja: pn gru 28, 2020 12:36 pm

śr sty 06, 2021 12:19 pm

poszedłem dalej ale nic więcej nie nie dzieje ,nie wisi ale coś robi tylko już 20min

wynik:

serwer@linux:~$ sudo pip3 install docker-compose
Collecting docker-compose
Downloading https://files.pythonhosted.org/packages ... ne-any.whl (110kB)
100% |████████████████████████████████| 112kB 684kB/s
Collecting python-dotenv<1,>=0.13.0 (from docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl
Requirement already satisfied: requests<3,>=2.20.0 in /usr/lib/python3/dist-packages (from docker-compose) (2.21.0)
Collecting jsonschema<4,>=2.5.1 (from docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl (56kB)
100% |████████████████████████████████| 61kB 929kB/s
Collecting texttable<2,>=0.9.0 (from docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl
Collecting cached-property<2,>=1.2.0 (from docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl
Collecting docker[ssh]<5,>=4.3.1 (from docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl (146kB)
100% |████████████████████████████████| 153kB 826kB/s
Collecting PyYAML<6,>=3.10 (from docker-compose)
Downloading https://files.pythonhosted.org/packages ... 3.1.tar.gz (269kB)
100% |████████████████████████████████| 276kB 343kB/s
Collecting docopt<1,>=0.6.1 (from docker-compose)
Downloading https://files.pythonhosted.org/packages ... 6.2.tar.gz
Collecting websocket-client<1,>=0.32.0 (from docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl (200kB)
100% |████████████████████████████████| 204kB 239kB/s
Collecting dockerpty<1,>=0.4.1 (from docker-compose)
Downloading https://files.pythonhosted.org/packages ... 4.1.tar.gz
Collecting distro<2,>=1.5.0 (from docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl
Requirement already satisfied: setuptools in /usr/lib/python3/dist-packages (from jsonschema<4,>=2.5.1->docker-compose) (40.8.0)
Collecting attrs>=17.4.0 (from jsonschema<4,>=2.5.1->docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl (49kB)
100% |████████████████████████████████| 51kB 237kB/s
Requirement already satisfied: six>=1.11.0 in /usr/lib/python3/dist-packages (from jsonschema<4,>=2.5.1->docker-compose) (1.12.0)
Collecting importlib-metadata; python_version < "3.8" (from jsonschema<4,>=2.5.1->docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl
Collecting pyrsistent>=0.14.0 (from jsonschema<4,>=2.5.1->docker-compose)
Downloading https://files.pythonhosted.org/packages ... 7.3.tar.gz (106kB)
100% |████████████████████████████████| 112kB 385kB/s
Collecting paramiko>=2.4.2; extra == "ssh" (from docker[ssh]<5,>=4.3.1->docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl (206kB)
100% |████████████████████████████████| 215kB 261kB/s
Collecting typing-extensions>=3.6.4; python_version < "3.8" (from importlib-metadata; python_version < "3.8"->jsonschema<4,>=2.5.1->docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl
Collecting zipp>=0.5 (from importlib-metadata; python_version < "3.8"->jsonschema<4,>=2.5.1->docker-compose)
Downloading https://files.pythonhosted.org/packages ... ne-any.whl
Requirement already satisfied: cryptography>=2.5 in /usr/lib/python3/dist-packages (from paramiko>=2.4.2; extra == "ssh"->docker[ssh]<5,>=4.3.1->docker-compose) (2.6.1)
Collecting pynacl>=1.0.1 (from paramiko>=2.4.2; extra == "ssh"->docker[ssh]<5,>=4.3.1->docker-compose)
Downloading https://files.pythonhosted.org/packages ... 4.0.tar.gz (3.4MB)
100% |████████████████████████████████| 3.4MB 115kB/s
Installing build dependencies ... done
Collecting bcrypt>=3.1.3 (from paramiko>=2.4.2; extra == "ssh"->docker[ssh]<5,>=4.3.1->docker-compose)
Downloading https://files.pythonhosted.org/packages ... 2.0.tar.gz (42kB)
100% |████████████████████████████████| 51kB 805kB/s
Installing build dependencies ... done
Collecting cffi>=1.4.1 (from pynacl>=1.0.1->paramiko>=2.4.2; extra == "ssh"->docker[ssh]<5,>=4.3.1->docker-compose)
Using cached https://files.pythonhosted.org/packages ... 1_i686.whl
Collecting pycparser (from cffi>=1.4.1->pynacl>=1.0.1->paramiko>=2.4.2; extra == "ssh"->docker[ssh]<5,>=4.3.1->docker-compose)
Using cached https://files.pythonhosted.org/packages ... ne-any.whl
Building wheels for collected packages: PyYAML, docopt, dockerpty, pyrsistent, pynacl, bcrypt
Running setup.py bdist_wheel for PyYAML ... done
Stored in directory: /root/.cache/pip/wheels/a7/c1/ea/cf5bd31012e735dc1dfea3131a2d5eae7978b251083d6247bd
Running setup.py bdist_wheel for docopt ... done
Stored in directory: /root/.cache/pip/wheels/9b/04/dd/7daf4150b6d9b12949298737de9431a324d4b797ffd63f526e
Running setup.py bdist_wheel for dockerpty ... done
Stored in directory: /root/.cache/pip/wheels/e5/1e/86/bd0a97a0907c6c654af654d5875d1d4383dd1f575f77cee4aa
Running setup.py bdist_wheel for pyrsistent ... done
Stored in directory: /root/.cache/pip/wheels/f0/b8/de/b593ad311be4eb458499d100db081e453576032272398b7ddc
Running setup.py bdist_wheel for pynacl ... |
home
Posty: 23
Rejestracja: pn gru 28, 2020 12:36 pm

śr sty 06, 2021 12:42 pm

poszło dalej ale końcowy wynik wygląda tak:

serwer@linux:~$ sudo ./supla-docker/supla.sh start
Starting SUPLA containers
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.7/http/client.py", line 1244, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1290, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1239, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1026, in _send_output
self.send(msg)
File "/usr/lib/python3.7/http/client.py", line 966, in send
self.connect()
File "/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
FileNotFoundError: [Errno 2] No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 367, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/lib/python3/dist-packages/six.py", line 692, in reraise
raise value.with_traceback(tb)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.7/http/client.py", line 1244, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1290, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1239, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1026, in _send_output
self.send(msg)
File "/usr/lib/python3.7/http/client.py", line 966, in send
self.connect()
File "/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 214, in _retrieve_server_version
return self.version(api_version=False)["ApiVersion"]
File "/usr/local/lib/python3.7/dist-packages/docker/api/daemon.py", line 181, in version
return self._result(self._get(url), json=True)
File "/usr/local/lib/python3.7/dist-packages/docker/utils/decorators.py", line 46, in inner
return f(self, *args, **kwargs)
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 237, in _get
return self.get(url, **self._set_request_timeout(kwargs))
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 546, in get
return self.request('GET', url, **kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 533, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 646, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/bin/docker-compose", line 10, in <module>
sys.exit(main())
File "/usr/local/lib/python3.7/dist-packages/compose/cli/main.py", line 67, in main
command()
File "/usr/local/lib/python3.7/dist-packages/compose/cli/main.py", line 123, in perform_command
project = project_from_options('.', options)
File "/usr/local/lib/python3.7/dist-packages/compose/cli/command.py", line 69, in project_from_options
environment_file=environment_file
File "/usr/local/lib/python3.7/dist-packages/compose/cli/command.py", line 132, in get_project
verbose=verbose, version=api_version, context=context, environment=environment
File "/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py", line 43, in get_client
environment=environment, tls_version=get_tls_version(environment)
File "/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py", line 170, in docker_client
client = APIClient(**kwargs)
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 197, in __init__
self._version = self._retrieve_server_version()
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 222, in _retrieve_server_version
'Error while fetching server API version: {0}'.format(e)
docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))
serwer@linux:~$
home
Posty: 23
Rejestracja: pn gru 28, 2020 12:36 pm

śr sty 06, 2021 12:44 pm

serwer@linux:~$ sudo docker -v
sudo: docker: nie znaleziono polecenia

serwer@linux:~$ sudo docker-compose -v
docker-compose version 1.27.4, build unknown
Awatar użytkownika
lesny8
Posty: 1441
Rejestracja: pn gru 11, 2017 9:43 pm

śr sty 06, 2021 1:02 pm

Nie wiem co Ty tam robisz na tym systemie?
Na screenach masz zainstalowanego dockera, a teraz nie masz. W innym miejscu też pokazywałaś, że docker jest zainstalowany.
Instalujesz OS za każdym razem na nowo czy co?

Musisz mieć docker i docker-compose.
Jak nie masz jednego lub drugiego to nie zbudujesz obrazów i nie uruchomisz kontenerów supli. Nie masz po co przechodzić dalej.
Jak będziesz mieć docker i docker-compose to pobierz z githuba supla-docker, przełącz się na src, wypełnij plik .env i zmień docker-compose.yml zgodnie z tym co masz podlinkowane, a na końcu uruchom skrypt supla.sh
Budowanie obrazów będzie trochę trwało.
home
Posty: 23
Rejestracja: pn gru 28, 2020 12:36 pm

śr sty 06, 2021 1:36 pm

teraz wygląda to tak:

serwer@linux:/$ sudo ./supla-docker/supla.sh
Sample configuration file is being generated for you.
Please check if the .env file matches your needs and run this command again.
serwer@linux:/$ sudo nano supla-docker/.env
serwer@linux:/$ sudo ./supla-docker/supla.sh start
Starting SUPLA containers
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.7/http/client.py", line 1244, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1290, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1239, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1026, in _send_output
self.send(msg)
File "/usr/lib/python3.7/http/client.py", line 966, in send
self.connect()
File "/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
FileNotFoundError: [Errno 2] No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 367, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/lib/python3/dist-packages/six.py", line 692, in reraise
raise value.with_traceback(tb)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.7/http/client.py", line 1244, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1290, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1239, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1026, in _send_output
self.send(msg)
File "/usr/lib/python3.7/http/client.py", line 966, in send
self.connect()
File "/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 214, in _retrieve_server_version
return self.version(api_version=False)["ApiVersion"]
File "/usr/local/lib/python3.7/dist-packages/docker/api/daemon.py", line 181, in version
return self._result(self._get(url), json=True)
File "/usr/local/lib/python3.7/dist-packages/docker/utils/decorators.py", line 46, in inner
return f(self, *args, **kwargs)
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 237, in _get
return self.get(url, **self._set_request_timeout(kwargs))
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 546, in get
return self.request('GET', url, **kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 533, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 646, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/bin/docker-compose", line 10, in <module>
sys.exit(main())
File "/usr/local/lib/python3.7/dist-packages/compose/cli/main.py", line 67, in main
command()
File "/usr/local/lib/python3.7/dist-packages/compose/cli/main.py", line 123, in perform_command
project = project_from_options('.', options)
File "/usr/local/lib/python3.7/dist-packages/compose/cli/command.py", line 69, in project_from_options
environment_file=environment_file
File "/usr/local/lib/python3.7/dist-packages/compose/cli/command.py", line 132, in get_project
verbose=verbose, version=api_version, context=context, environment=environment
File "/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py", line 43, in get_client
environment=environment, tls_version=get_tls_version(environment)
File "/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py", line 170, in docker_client
client = APIClient(**kwargs)
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 197, in __init__
self._version = self._retrieve_server_version()
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 222, in _retrieve_server_version
'Error while fetching server API version: {0}'.format(e)
docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))
.......................................................................
serwer@linux:/$ sudo docker -v
Docker version 18.09.1, build 4c52b90
serwer@linux:/$ sudo docker-compose -v
docker-compose version 1.27.4, build unknown
.............................................................................
serwer@linux:/$ ls
bin etc initrd.img.old libx32 mnt root srv tmp vmlinuz
boot home lib lost+found opt run supla-docker usr vmlinuz.old
dev initrd.img lib64 media proc sbin sys var
................................................................................
serwer@linux:/$ sudo cat supla-docker/.env
# Where the SUPLA Cloud will be accessible? Put domain or IP address here with port.
CLOUD_DOMAIN=192.168.1.100

# Initial user account details; delete these settings after the first launch
FIRST_USER_EMAIL=test@test.pl
FIRST_USER_PASSWORD=1234

# Google ReCaptcha settings
RECAPTCHA_ENABLED=false
RECAPTCHA_PUBLIC_KEY=
RECAPTCHA_PRIVATE_KEY=

# Mailer settings (SMTP)
MAILER_HOST=10.0.75.1
MAILER_PORT=465
MAILER_USER=
MAILER_PASSWORD=
MAILER_ENCRYPTION=ssl
MAILER_FROM=

# If you want to be notified about some server errors, set this
ADMIN_EMAIL=

# Where to store SUPLA Cloud's data
VOLUME_DATA=./var

# On which ports the SUPLA Cloud should listen (only if standalone mode)
PORT_HTTP=80
PORT_HTTPS=443

REQUIRE_REGULATIONS_ACCEPTANCE=false
REQUIRE_COOKIE_POLICY_ACCEPTANCE=false
BRUTE_FORCE_AUTH_PREVENTION_ENABLED=true
ACCOUNTS_REGISTRATION_ENABLED=true

# These options protect your application
DB_PASSWORD=NMUtIFGUzTXWxsZKKMqL2nvkgHHPyeUl
SECRET=MYrlkMRvSjP14AxIIfJqEMJgiydNbSJF

COMPOSE_PROJECT_NAME=supla
COMPOSE_PATH_SEPARATOR=:
COMPOSE_FILE=docker-compose.yml:docker-compose.standalone.yml
serwer@linux:/$
.....................................................................
jak mam to zrobić "przełącz się na src" i "zmień docker-compose.yml zgodnie z tym co masz podlinkowane"
............................................................................

lesny8 wg dzięki za pomoc i cierpliwość chyba jesteś jedyny ,który może pomóc rozwiązać ten problem, szczerze dziękuje
Awatar użytkownika
lesny8
Posty: 1441
Rejestracja: pn gru 11, 2017 9:43 pm

śr sty 06, 2021 3:21 pm

Wejdź do katalogu supla-docker i wycofaj ewentualne zmiany

Kod: Zaznacz cały

cd ~/supla-docker
git reset --hard
przełącz na gałąź src

Kod: Zaznacz cały

git checkout src
Zmień obraz w pliku docker-compose.yml dla kontenera supla-db
z tego
image: mysql:5.7.20
na ten
image: i386/mariadb:5.5

uruchom na końcu skrypt

Kod: Zaznacz cały

./supla.sh start
home
Posty: 23
Rejestracja: pn gru 28, 2020 12:36 pm

śr sty 06, 2021 4:55 pm

serwer@linux:~/supla-docker$ sudo cat docker-compose.yml
version: '3.4'

services:
supla-cloud:
container_name: ${COMPOSE_PROJECT_NAME}-cloud
restart: unless-stopped
build:
context: ./cloud
target: supla_cloud_prod
env_file:
- .env.default
- .env
volumes:
- ./ssl/cloud:/etc/apache2/ssl:z
- ${VOLUME_DATA}/cloud-local:/var/www/cloud/var/local
- ${VOLUME_DATA}/cloud-logs:/var/www/cloud/var/logs
- supla-server-socket:/supla-server:z
logging:
options:
max-size: 50m
links:
- supla-db
depends_on:
- supla-db

supla-db:
container_name: ${COMPOSE_PROJECT_NAME}-db
restart: unless-stopped
image: image: i386/mariadb:5.5 <---------------------------------------------------------------------------------- image: mysql:5.7.20
env_file:
- .env.default
- .env
environment:
MYSQL_ROOT_PASSWORD: ${DB_PASSWORD}
MYSQL_DATABASE: supla
MYSQL_USER: supla
MYSQL_PASSWORD: ${DB_PASSWORD}
volumes:
- ${VOLUME_DATA}/mysql:/var/lib/mysql:z
- ./db:/etc/mysql/conf.d
logging:
options:
max-size: 50m

supla-server:
container_name: ${COMPOSE_PROJECT_NAME}-server
restart: unless-stopped
build: ./server
env_file:
- .env.default
- .env
volumes:
- ./ssl/server:/etc/supla-server/ssl:z
- supla-server-socket:/var/run/supla:z
ports:
- "2016:2016"
- "2015:2015"
logging:
options:
max-size: 50m
links:
- supla-db
depends_on:
- supla-cloud

volumes:
supla-server-socket: {}
...............................................................................................................
serwer@linux:~/supla-docker$
serwer@linux:~/supla-docker$ sudo ./supla.sh start

Starting SUPLA containers
ERROR: yaml.scanner.ScannerError: mapping values are not allowed here
in "./docker-compose.yml", line 29, column 17
serwer@linux:~/supla-docker$

(nie wiem czy po image:____________mysql:5.7.20 ma być spacja bo jak jest wywala w/w błąd a jak nie ma to ten sam błąd co wczesniej.
............................................................................................................
serwer@linux:~/supla-docker$ sudo ./supla.sh start
Starting SUPLA containers
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.7/http/client.py", line 1244, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1290, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1239, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1026, in _send_output
self.send(msg)
File "/usr/lib/python3.7/http/client.py", line 966, in send
self.connect()
File "/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
FileNotFoundError: [Errno 2] No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 367, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/lib/python3/dist-packages/six.py", line 692, in reraise
raise value.with_traceback(tb)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.7/http/client.py", line 1244, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1290, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1239, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1026, in _send_output
self.send(msg)
File "/usr/lib/python3.7/http/client.py", line 966, in send
self.connect()
File "/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 214, in _retrieve_server_version
return self.version(api_version=False)["ApiVersion"]
File "/usr/local/lib/python3.7/dist-packages/docker/api/daemon.py", line 181, in version
return self._result(self._get(url), json=True)
File "/usr/local/lib/python3.7/dist-packages/docker/utils/decorators.py", line 46, in inner
return f(self, *args, **kwargs)
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 237, in _get
return self.get(url, **self._set_request_timeout(kwargs))
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 546, in get
return self.request('GET', url, **kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 533, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 646, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/bin/docker-compose", line 10, in <module>
sys.exit(main())
File "/usr/local/lib/python3.7/dist-packages/compose/cli/main.py", line 67, in main
command()
File "/usr/local/lib/python3.7/dist-packages/compose/cli/main.py", line 123, in perform_command
project = project_from_options('.', options)
File "/usr/local/lib/python3.7/dist-packages/compose/cli/command.py", line 69, in project_from_options
environment_file=environment_file
File "/usr/local/lib/python3.7/dist-packages/compose/cli/command.py", line 132, in get_project
verbose=verbose, version=api_version, context=context, environment=environment
File "/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py", line 43, in get_client
environment=environment, tls_version=get_tls_version(environment)
File "/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py", line 170, in docker_client
client = APIClient(**kwargs)
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 197, in __init__
self._version = self._retrieve_server_version()
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 222, in _retrieve_server_version
'Error while fetching server API version: {0}'.format(e)
docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))
serwer@linux:~/supla-docker$
ODPOWIEDZ

Wróć do „Ogólna dyskusja”